#include <stdio.h>

void la_backward_solve(const double lu[],
                       const double ux[],
                       double x[],
                       int n);
void la_backward_solve_transposed(const int p[],
                                  const double lu[],
                                  double c[],
                                  double y[],
                                  int n);
void la_display(const double a[], int m, int n, FILE *stream);
double la_dot_product(const double c[], const double x[], int n);
void la_factor(const double a[], int p[], double lu[], int n);
void la_forward_solve(const int p[],
                      const double lu[],
                      const double b[],
                      double ux[],
                      int n);
void la_forward_solve_transposed(const double lu[],
                                 const double c[],
                                 double y[],
                                 int n);
void la_random(long unsigned int *seed, double x[], int n);
double la_relative_residual(const double a[],
                            const double b[],
                            const double x[],
                            int n);
void la_solve(const int p[],
              const double lu[],
              const double b[],
              double x[],
              int n);
void la_solve_transposed(const int p[],
                         const double lu[],
                         const double c[],
                         double yp[],
                         double y[],
                         int n);
void la_transpose(const double a[], double at[], int n);
void la_unit_vector(int i, double e[], int n);
