#include "../linear_algebra.h"

void la_forward_solve(const int p[],
                      const double lu[],
                      const double b[],
                      double ux[],
                      int n) {
  for (int k = 0; k < n; k++) {
    ux[k] = b[p[k]];
  }
  for (int k = 0; k < n; k++) {
    double ux_k = ux[k];
    for (int i = k + 1; i < n; i++) {
      ux[i] -= lu[i * n + k] * ux_k;
    }
  }
}
