struct lp_row_op {
  double g;
  int i, swap;
};

struct lp_basis {
#define LP_SCALAR(type, name)                   \
  type name;
#define LP_ARRAY(type, name, dimension)         \
  type *name;
#include "linear_programming/basis_members.h"
};

void lp_allocate(
#define LP_ARRAY(type, name, dimension)
#define LP_SCALAR(type, name)                   \
                 type name,
#include "linear_programming/basis_members.h"
                 struct lp_basis *basis);
void lp_free(struct lp_basis *basis);
void lp_initialize(const struct lp_basis *basis);
int lp_maximize(struct lp_basis *basis);
