#include "../linear_algebra.h"
#include "../linear_programming.h"

void lp_initialize(const struct lp_basis *basis) {
#define LP_ARRAY(type, name, dimension)         \
  type *name = basis->name;
#define LP_SCALAR(type, name)                   \
  type name = basis->name;
#include "basis_members.h"
  for (int i = 0; i < m; i++) {
    la_unit_vector(i, a + i * m, m);
  }
  for (int i = 0; i < m; i++) {
    c[i] = 0.0;
  }
  for (int k = 0; k < m + n; k++) {
    q[k] = k;
  }
}
