#include "strawberry_fields.h"

#include <stdlib.h>

int main(void) {
  struct sf_input input;
  struct sf_greenhouse_list solution;
  while (sf_read_input(stdin, &input)) {
    sf_solve(&input, &solution);
    sf_verify_solution(&input, solution);
    sf_write_solution(&input, solution, stdout);
    free(solution.greenhouse);
  }
}
