#include <stdlib.h>
#include "../strawberry_fields.h"

void sf_append(struct sf_interval2 g, struct sf_greenhouse_list *list) {
  int n = list->n_greenhouses;
  if (!(n & (n + 1))) {
    list->greenhouse = realloc(list->greenhouse,
                               (2 * (unsigned int)n + 1) * sizeof *list->greenhouse);
  }
  list->n_greenhouses = n + 1;
  list->greenhouse[n] = g;
}
