#include <string.h>
#include "../strawberry_fields.h"

void sf_strawberry_list_from_input(const struct sf_input *input,
                                   struct sf_point_list *s_list) {
  memset(s_list, '\0', sizeof *s_list);
  for (int i = 0; i < SF_LENGTH_MAX; i++) {
    for (int j = 0; j < SF_WIDTH_MAX; j++) {
      if (input->field[i][j] == SF_STRAWBERRY) {
        s_list->point[s_list->n_points++] = (struct sf_point){i, j};
      }
    }
  }
}
