#include "../strawberry_fields.h"

void sf_sums_from_prices(struct sf_interval2 box,
                         double y[SF_LENGTH_MAX][SF_WIDTH_MAX],
                         double sum[SF_LENGTH_MAX + 1][SF_WIDTH_MAX + 1]) {
  sum[box.i.min][box.j.min] = 0.0;
  for (int i = box.i.min; i < box.i.max; i++) {
    sum[i + 1][box.j.min] = 0.0;
    for (int j = box.j.min; j < box.j.max; j++) {
      sum[i + 1][j + 1] = sum[i + 1][j] + y[i][j];
    }
  }
  for (int j = box.j.min + 1; j < box.j.max + 1; j++) {
    sum[box.i.min][j] = 0.0;
    for (int i = box.i.min; i < box.i.max; i++) {
      sum[i + 1][j] += sum[i][j];
    }
  }
}
