#include "../strawberry_fields.h"

void sf_activate(double upper_bound, struct sf_node *node) {
  struct sf_node *first = node, *a = node, *b = node->parent;
  while (b) {
    if (b->active != a) {
      b->active = a;
      first = b;
    }
    a = b;
    b = b->parent;
  }
  if (first == node) {
    return;
  }
  b = first;
  do {
    a = b->active;
    a->list = sf_partition(a, upper_bound, b->list);
    b = a;
  } while (b != node);
  node->active = NULL;
}
