#include "../strawberry_fields.h"

#include <limits.h>
#include <stdlib.h>
#include <string.h>

struct sf_greenhouse_list sf_copy(struct sf_greenhouse_list list) {
  unsigned int n = (unsigned int)list.n_greenhouses;
  for (size_t shift = 1; shift < sizeof (int) * CHAR_BIT; shift *= 2) {
    n |= n >> shift;
  }
  struct sf_interval2 *greenhouse = malloc(n * sizeof *greenhouse);
  memcpy(greenhouse, list.greenhouse, (unsigned int)list.n_greenhouses * sizeof *greenhouse);
  return (struct sf_greenhouse_list){list.n_greenhouses, greenhouse};
}
